Subject: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 07 Jul 2021 18:59:50 +0200

Michael Albinus <[email-masked]> writes:

> Just some first thoughts, by dry reading.
>
>>  	(if handler
>>  	    (funcall handler 'make-auto-save-file-name)
>
> We have a file name handler for make-auto-save-file-name. Shall we use
> also a handler for make-lock-file-name?

Yeah, I wondered about that, too.  I'm not quite sure what the use case
would be, but for symmetry's sake, it might make sense anyway.

>> +(defun make-lock-file-name (filename)
>> +  "Make a lock file name for FILENAME.
>> +By default, this just prepends \".*\" to the non-directory part
>> +of FILENAME, but the transforms in `lock-file-name-transforms'
>> +are done first."
>> + (auto-save--transform-file-name filename lock-file-name-transforms
>> ".#" ""))
>
> Hmm, maybe not, because the lock file name must be the *same* over
> different Emacs sessions.

That would be up to the person that writes the handler to take care of,
I think?

> Furthermore, there is auto-save-mode, which toggles auto-saving. Shall
> we use something similar for file locks? Perhaps, people might not want
> to lock all files, for example they might want to disable this feature
> for remote files (possible performance degradation).

Sure; makes sense.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no